### Method

# GUPnP Context host_path

#### Declaration [src]

    void
    gupnp_context_host_path (
      GUPnPContext* context,
      const char* local_path,
      const char* server_path
    )

#### Description [src]

Start hosting `local_path` at `server_path`. Files with the path `local_path`.LOCALE (if they exist) will be served up when LOCALE is specified in the request’s Accept-Language header.

#### Parameters

`local_path` | `const char*`
| Path to the local file or folder to be hosted.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`server_path` | `const char*`
| Web server path where `local_path` should be hosted.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.